package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.NumberFormat;
import java.text.SimpleDateFormat;
import java.util.Locale;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.FechamentoBoleto;

public class RenderFechamentoBoleto implements ListitemRenderer {
	
	NumberFormat numberFormat = NumberFormat.getCurrencyInstance(new Locale("pt", "BR"));

	@Override
	public void render(Listitem lstm, Object o) throws Exception {

		FechamentoBoleto fechamentoBoleto = (FechamentoBoleto) o;
		
		Listcell lc = new Listcell();
	
		lc = new Listcell(fechamentoBoleto.getFechamentoCntcorrente().getEmpresa().getNombempresa());
        lc.setParent(lstm);
        
        lc = new Listcell(fechamentoBoleto.getFechamentoCntcorrente().getPuntoventa().getNombpuntoventa());
        lc.setParent(lstm);
        
        lc = new Listcell(fechamentoBoleto.getNossonumero());
        lc.setParent(lstm);
        
        lc = new Listcell(new SimpleDateFormat("dd/MM/yyyy").format(fechamentoBoleto.getFecdocumento()));
        lc.setParent(lstm);
        
        lc = new Listcell(new SimpleDateFormat("dd/MM/yyyy").format(fechamentoBoleto.getFecvencimento()));
        lc.setParent(lstm);
        
        lc = new Listcell(numberFormat.format(fechamentoBoleto.getValordocumento().doubleValue()));
        lc.setParent(lstm);
	
		String id =  (fechamentoBoleto.getRemessaId() != null) ? "Sim" : "Não";
		lc = new Listcell(id);
        lc.setParent(lstm);
        
        String status =  (fechamentoBoleto.getStatus() != null && fechamentoBoleto.getStatus().equals("I") ) ? "Impresso" : "Não Impresso";
		lc = new Listcell(status);
        lc.setParent(lstm);

        lstm.setAttribute("data", fechamentoBoleto);

	}

}
